DtMmdbSectionGetDataSize(library call)

NAME
DtMmdbSectionGetDataSize — obtains the size of a section's data

SYNOPSIS

#include &<DtMmdb.h>
int DtMmdbSectionGetDataSize(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbSectionGetDataSize function returns the number of bytes in the specified section's data. Table lookup is involved if the section identifier is specified by the locator_ptr field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and either the section's Database Engine identifier (in the primary_oid field) or the section's logical identifier (in the locator_ptr field). If both of these fields have a value, DtMmdbSectionGetDataSize uses the locator_ptr value.

RETURN VALUE

If DtMmdbSectionGetDataSize completes successfully, it returns the size of the section's data. If it fails, it returns -1.

EXAMPLE

The following shows how a DtMmdbSectionGetDataSize call might be coded.

DtMmdbInfoRequest request;
/* fill the request here */
l = DtMmdbSectionGetDataSize(&&request);

SEE ALSO

TO BE SUPPLIED